PgsqlSqlUtil::PgsqlType Class Reference

represents a PostgreSQL type More...

## Public Member Functions

| constructor (string n_name, string n_src)
| creates the type from the supplied arguments
bool | equal (PgsqlType type)
| returns True if the types are equal
string | getCreateSql (*hash opt)
| returns a string that can be used to create the type in the database
string | getDropSql (*hash opt)
| returns a string that can be used to drop a type
string | getDropSqlForce ()
| returns a string that can be used to drop a type and all dependencies
string | getRenameSql (string new_name)
| returns a string that can be used to rename a type

## Public Attributes

string | name
| the name of the type
string | src
| the source of the type

## Detailed Description

represents a PostgreSQL type